<!doctype html>
<html lang="en">
<head>
<title>67-freedombox-bof</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">FreedomBox BoF</span><br><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6"></span><br><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">Recent Progress</span><br><ul class="bullet"><li><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">*</span><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">Scheduled backups</span></li><li><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">*</span><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">Zoph photo organizer</span></li><li><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">*</span><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">zram compressed swap</span></li><li><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">*</span><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">Coturn integration with Matrix Synapse / Ejabberd</span></li><li><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">*</span><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">Automatic dist upgrade to Bullseye</span></li><li><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">*</span><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">GSoC project (email server)</span><span class="a_kWGrDJDRSvs8rxr3" title="a_kWGrDJDRSvs8rxr3" style="background-color:#a796a4"></span><ul class="bullet"><li><span class="a_kWGrDJDRSvs8rxr3" title="a_kWGrDJDRSvs8rxr3" style="background-color:#a796a4">*</span><span class="a_kWGrDJDRSvs8rxr3" title="a_kWGrDJDRSvs8rxr3" style="background-color:#a796a4">Some extra information at https://wiki.debian.org/FreedomBox/TODO/GSoC2021</span></ul><li><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">*</span><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">Blends integration (fbx-tasks, fbx-all)</span></ul><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6"></span><br><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">Future Plans</span><br><ul class="bullet"><li><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">*</span><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">Building Bullseye images</span></li><li><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">*</span><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">Wordpress (next release)</span></li><li><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">*</span><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">Jitsi video bridge packaging</span></li><li><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">*</span><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">searx-admin packaging</span></li><li><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">*</span><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">Nextcloud Docker</span></ul><span class="a_YJ0Mli5pjIDpQRTO" title="a_YJ0Mli5pjIDpQRTO" style="background-color:#2905e3"></span><br><span class="a_YJ0Mli5pjIDpQRTO" title="a_YJ0Mli5pjIDpQRTO" style="background-color:#2905e3">FreedomBox website:</span><br><ul class="bullet"><li><span class="a_YJ0Mli5pjIDpQRTO" title="a_YJ0Mli5pjIDpQRTO" style="background-color:#2905e3">*</span><span class="a_YJ0Mli5pjIDpQRTO" title="a_YJ0Mli5pjIDpQRTO" style="background-color:#2905e3">https://freedombox.org/</span></ul><span class="a_YJ0Mli5pjIDpQRTO" title="a_YJ0Mli5pjIDpQRTO" style="background-color:#2905e3"></span><br><span class="a_YJ0Mli5pjIDpQRTO" title="a_YJ0Mli5pjIDpQRTO" style="background-color:#2905e3">Wiki:</span><br><ul class="bullet"><li><span class="a_YJ0Mli5pjIDpQRTO" title="a_YJ0Mli5pjIDpQRTO" style="background-color:#2905e3">*</span><span class="a_YJ0Mli5pjIDpQRTO" title="a_YJ0Mli5pjIDpQRTO" style="background-color:#2905e3">https://wiki.debian.org/FreedomBox</span></ul><span class="a_YJ0Mli5pjIDpQRTO" title="a_YJ0Mli5pjIDpQRTO" style="background-color:#2905e3"></span><br><span class="a_YJ0Mli5pjIDpQRTO" title="a_YJ0Mli5pjIDpQRTO" style="background-color:#2905e3">Help & Discussions:</span><br><ul class="bullet"><li><span class="a_YJ0Mli5pjIDpQRTO" title="a_YJ0Mli5pjIDpQRTO" style="background-color:#2905e3">*</span><span class="a_YJ0Mli5pjIDpQRTO" title="a_YJ0Mli5pjIDpQRTO" style="background-color:#2905e3">Discussion Forum: https://discuss.freedombox.org/</span></li><li><span class="a_YJ0Mli5pjIDpQRTO" title="a_YJ0Mli5pjIDpQRTO" style="background-color:#2905e3">*</span><span class="a_YJ0Mli5pjIDpQRTO" title="a_YJ0Mli5pjIDpQRTO" style="background-color:#2905e3">Mailing List: freedombox-discuss@alioth-lists.debian.net</span></li><li><span class="a_YJ0Mli5pjIDpQRTO" title="a_YJ0Mli5pjIDpQRTO" style="background-color:#2905e3">*</span><span class="a_YJ0Mli5pjIDpQRTO" title="a_YJ0Mli5pjIDpQRTO" style="background-color:#2905e3">IRC: #freedombox at irc.debian.org</span></ul><span class="a_YJ0Mli5pjIDpQRTO" title="a_YJ0Mli5pjIDpQRTO" style="background-color:#2905e3"></span><br><span class="a_YJ0Mli5pjIDpQRTO" title="a_YJ0Mli5pjIDpQRTO" style="background-color:#2905e3">FreedomBox Foundation:</span><br><ul class="bullet"><li><span class="a_YJ0Mli5pjIDpQRTO" title="a_YJ0Mli5pjIDpQRTO" style="background-color:#2905e3">*</span><span class="a_YJ0Mli5pjIDpQRTO" title="a_YJ0Mli5pjIDpQRTO" style="background-color:#2905e3">https://freedomboxfoundation.org/</span></ul><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6"></span><br><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">Open Discussion</span><br><span class="a_YJ0Mli5pjIDpQRTO" title="a_YJ0Mli5pjIDpQRTO" style="background-color:#2905e3"></span><br><span class="a_sfHViMfqYLmyCGv1" title="a_sfHViMfqYLmyCGv1" style="background-color:#f3dad2">Stupid user question: I upgraded to bullseye before the release  by changing /etc/apt/sources.list*. The FreedomBox (I have the hardware, which came with the software) kept changing it back. I use my FreedomBox just like any other Debian machine and I disabled the FreedomBox web interface in Apache2 (because I expose a website to the world and know how to manage Debian machines from the command line). Is there a recommendation going forward, if I don't want to use the web interface?</span><span class="a_vQlwwiE717zWxoJi" title="a_vQlwwiE717zWxoJi" style="background-color:#75a205"></span><br><span class="a_vQlwwiE717zWxoJi" title="a_vQlwwiE717zWxoJi" style="background-color:#75a205"></span><br><span class="a_vQlwwiE717zWxoJi" title="a_vQlwwiE717zWxoJi" style="background-color:#75a205"></span><br><span class="a_vQlwwiE717zWxoJi" title="a_vQlwwiE717zWxoJi" style="background-color:#75a205">< detrout> is there a checkpoint and rollback option if the upgrade has problems?</span><span class="a_NKlY7jdHhGKMx8p4" title="a_NKlY7jdHhGKMx8p4" style="background-color:#060ffb"></span><br><span class="a_NKlY7jdHhGKMx8p4" title="a_NKlY7jdHhGKMx8p4" style="background-color:#060ffb"><fbGsocStudent> There is a BTRFS snapshot feature</span><span class="a_vQlwwiE717zWxoJi" title="a_vQlwwiE717zWxoJi" style="background-color:#75a205"></span><br><span class="a_vQlwwiE717zWxoJi" title="a_vQlwwiE717zWxoJi" style="background-color:#75a205"></span><br><span class="a_vQlwwiE717zWxoJi" title="a_vQlwwiE717zWxoJi" style="background-color:#75a205"><donfede> looks like the hardware is a raspberrypi based, is that sufficient for this target workload?</span><span class="a_NKlY7jdHhGKMx8p4" title="a_NKlY7jdHhGKMx8p4" style="background-color:#060ffb"></span><br><span class="a_NKlY7jdHhGKMx8p4" title="a_NKlY7jdHhGKMx8p4" style="background-color:#060ffb"><fbGsocStudent> The speed is okay on a sufficiently new model of Raspberry Pi. I recommend having 500-1000MB of spare RAM.</span><span class="a_vQlwwiE717zWxoJi" title="a_vQlwwiE717zWxoJi" style="background-color:#75a205"></span><br><span class="a_NKlY7jdHhGKMx8p4" title="a_NKlY7jdHhGKMx8p4" style="background-color:#060ffb">FBX hardware list: https://wiki.debian.org/FreedomBox/Hardware</span><span class="a_YJ0Mli5pjIDpQRTO" title="a_YJ0Mli5pjIDpQRTO" style="background-color:#2905e3"></span><br><span class="a_YJ0Mli5pjIDpQRTO" title="a_YJ0Mli5pjIDpQRTO" style="background-color:#2905e3"></span><br><span class="a_QLcvn26ED110WNR7" title="a_QLcvn26ED110WNR7" style="background-color:#70bc67"><donfede> is installation really just "apt install freedombox" ? any tips or something to watch out for in setup?</span><span class="a_YJ0Mli5pjIDpQRTO" title="a_YJ0Mli5pjIDpQRTO" style="background-color:#2905e3"></span><br><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">Please read https://wiki.debian.org/FreedomBox/Hardware/Debian.</span><span class="a_QLcvn26ED110WNR7" title="a_QLcvn26ED110WNR7" style="background-color:#70bc67"> (ty)</span><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6"></span><br><span class="a_jEzqQIBLz38MgdWP" title="a_jEzqQIBLz38MgdWP" style="background-color:#c7fea7"></span><br><span class="a_jEzqQIBLz38MgdWP" title="a_jEzqQIBLz38MgdWP" style="background-color:#c7fea7">I am downloading the QEMU image... any thoughts about running FreedomBox in virtualized environments?</span><br><span class="a_jEzqQIBLz38MgdWP" title="a_jEzqQIBLz38MgdWP" style="background-color:#c7fea7">Wordpress and Nextcloud are both PHP+MySQL apps, running behind a nginx reverse proxy. IMHO, adding docker here would be overhead</span><br><span class="a_jEzqQIBLz38MgdWP" title="a_jEzqQIBLz38MgdWP" style="background-color:#c7fea7">I have running WP and Nextcloud on Archlinux servers, and it could be interesting to not use the distro packaged app, for both </span><br><span class="a_jEzqQIBLz38MgdWP" title="a_jEzqQIBLz38MgdWP" style="background-color:#c7fea7">Etherpad could run in this same rev-proxy enviroment</span><br><span class="a_jEzqQIBLz38MgdWP" title="a_jEzqQIBLz38MgdWP" style="background-color:#c7fea7">I downloaded the x86_64 and executed behind a NAT network.... seems to be working pretty much out of the box</span><span class="a_QLcvn26ED110WNR7" title="a_QLcvn26ED110WNR7" style="background-color:#70bc67"></span><br><span class="a_QLcvn26ED110WNR7" title="a_QLcvn26ED110WNR7" style="background-color:#70bc67"></span><br><span class="a_QLcvn26ED110WNR7" title="a_QLcvn26ED110WNR7" style="background-color:#70bc67"><donfede> any guidance on security when setting this up?</span><span class="a_NKlY7jdHhGKMx8p4" title="a_NKlY7jdHhGKMx8p4" style="background-color:#060ffb"></span><br><span class="a_NKlY7jdHhGKMx8p4" title="a_NKlY7jdHhGKMx8p4" style="background-color:#060ffb"><fbGSocStudent> Check FreedomBox firewall, enable fail2ban, etc.</span><span class="a_QLcvn26ED110WNR7" title="a_QLcvn26ED110WNR7" style="background-color:#70bc67"></span><br><span class="a_QLcvn26ED110WNR7" title="a_QLcvn26ED110WNR7" style="background-color:#70bc67">(ty - appreciate at least talking about this angle)</span><br><span class="a_QLcvn26ED110WNR7" title="a_QLcvn26ED110WNR7" style="background-color:#70bc67"></span><br><span class="a_QLcvn26ED110WNR7" title="a_QLcvn26ED110WNR7" style="background-color:#70bc67"><donfede> any chance of a live demo in these last minutes? (granted it may not be ready/prepared)</span><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6"></span><br><span class="a_HmNqeqXq8VorKEq1" title="a_HmNqeqXq8VorKEq1" style="background-color:#1138e6">https://freedombox.org/demo/</span><span class="a_QLcvn26ED110WNR7" title="a_QLcvn26ED110WNR7" style="background-color:#70bc67"></span><br><span class="a_vQlwwiE717zWxoJi" title="a_vQlwwiE717zWxoJi" style="background-color:#75a205"></span><br><span class="a_vQlwwiE717zWxoJi" title="a_vQlwwiE717zWxoJi" style="background-color:#75a205">comment: snap is open source but their webstore/webinterface https://snapcraft.io/ is closed source, but the packageformat and other things is open</span><br><span class="a_vQlwwiE717zWxoJi" title="a_vQlwwiE717zWxoJi" style="background-color:#75a205"></span><br><span class="a_6rCqI2OTDMA3x1fV" title="a_6rCqI2OTDMA3x1fV" style="background-color:#7b2367"></span><br><span class="a_6rCqI2OTDMA3x1fV" title="a_6rCqI2OTDMA3x1fV" style="background-color:#7b2367">Rock64 - does it work reasonably or would you still recommend Olimex box?</span><br><span class="a_6rCqI2OTDMA3x1fV" title="a_6rCqI2OTDMA3x1fV" style="background-color:#7b2367"></span><br><span class="a_6rCqI2OTDMA3x1fV" title="a_6rCqI2OTDMA3x1fV" style="background-color:#7b2367">Thanks - hard to get hold of hardware just at the moment</span><br><span class="a_6rCqI2OTDMA3x1fV" title="a_6rCqI2OTDMA3x1fV" style="background-color:#7b2367">but have Pine64 and Rock64 available :)</span><br><span class="a_6rCqI2OTDMA3x1fV" title="a_6rCqI2OTDMA3x1fV" style="background-color:#7b2367"></span><br><span class="a_QLcvn26ED110WNR7" title="a_QLcvn26ED110WNR7" style="background-color:#70bc67"></span><br><span class="a_GBHdcAySh3x16UIR" title="a_GBHdcAySh3x16UIR" style="background-color:#c62ea6"></span><br><span class="a_GBHdcAySh3x16UIR" title="a_GBHdcAySh3x16UIR" style="background-color:#c62ea6"></span><br><span class="anonymous" title="anonymous"></span><br>
</body>
</html>
